/*------------------------------
        Media Query
------------------------------*/

@media all and (max-width: 1420px) {

}

@media all and (max-width: 1200px) {
    #header{
        justify-content: space-between;
        height: auto;
        width: auto;
    }
    #logo img{
        height: 90px;
    }
    #menu{
        order: 1;
        flex-basis: 100%;
    }
    #about-us-section p{
        line-height: 1.5em;
    }
}

@media all and (max-width: 991px) {
    #logo, #phone{
        flex: 0 0 auto;
    }
    h1{
        padding-top: 150px;
        font-size: 2em;
    }
    h1 span{
        font-size: 1.8em;
        text-align: center;
        display: block;
        margin: 0 auto;
        padding:0px;
    }
    #about-us-section{
        padding: 100px
    }
    #contact-section{
        background-position: 26%;
        height: 350px;
    }
    #contact-section div{
        padding: 12px;
    }
    textarea{
        height: 170px;
    }
}

@media all and (max-width: 768px) {
    #menu{
        font-size: 1em;
    }
    #phone{
        margin-right: 0.3em;
    }
    h1{
        padding-top: 250px;
    }
    h1 span{
        padding:10px;
    }
    #landing-section #slogan{
        font-size: 1.3em;
    }
    #landing-section #p2 {
        font-size: 1.3em;
    }
    #landing-section #p1{
        margin-top: 0px;
        font-size: 1.3em;
    }
    #landing-section a{
        margin-top: 0px;
    }
    #services-section{
        padding: 20px;
    }
    .service{
        text-align: center;
    }
    #about-us-section{
        padding: 50px 20px;
    }
}

@media all and (max-width: 480px) {
    #menu{
        flex-wrap: wrap;
        font-size: 1em;
    }
    #menu li{
        flex-basis: 80%;
        text-align: center;
    }
    h1 span{
        font-size: 1.1em;
        padding:10px;
    }
    h2{
        padding-top: 250px;
    }
    .tel{
        font-size: 1em;
    }
    #landing-section{
        background-position: 40%;
        margin: 30px -15px -190px -15px;
    }
    #services-section{
        background-position: 60%;
        height: 450px;
    }
    .service{
        font-size: 1.5em;
        line-height: 2em;
        margin-left:0px;
    }
    #services-section, 
    #about-us-section, 
    #contact-section{
        margin:50px -15px -190px -15px;
    }
    #about-us-section p {
        line-height: 1.7em;
        font-size: 1.2em;
    }
    #contact-section div{
        flex-basis: 150px;
    }
    #contact-section a{
        font-size: 1.2em;
    }
    form{
        flex-basis: 250px;
    }
    textarea{
        width: 250px;
    }
    #footer p:nth-child(2){
        font-size: 0.8em;
    }
}

@media all and (max-width: 320px) {
    #services-section{
        height: 350px;
    }
    .service{
        font-size: 1.1em;
    }
}